Unable to install Mail Utilities because it incorrectly complains that IE 6.0 is not installed

Follow